org.eclipse.graphiti.platform.ga

## Interface IVisualStateChangeListener

All Known Implementing Classes:
  GFAbstractPointListShape, GFAbstractRotatableDecoration, GFAbstractShape, GFEllipse, GFEllipseDecoration, GFPolygon, GFPolygonDecoration, GFPolyline, GFPolylineConnection, GFPolylineDecoration, GFRectangleFigure, GFRoundedRectangle

    public interface IVisualStateChangeListener

The Interface IVisualStateChangeListener comprises listening on changes of the visual state.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visualStateChanged(VisualStateChangedEvent e)` Is called after the visual state changed.

### Method Detail

#### visualStateChanged

    void visualStateChanged(VisualStateChangedEvent e)

Is called after the visual state changed.